<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\admin\controller\bbfxshop\directpush_team;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Config extends Base
{

    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\DirectpushTeam;
    }
    
    public function set(){
        $params = $this->param();
        
        $config = Db::name("bbfx_directpush_team")->where(["uniacid"=>UNIACID])->find();
        
        $transfer_num = 2;
        
        $data = array(
            "uniacid"=>UNIACID,
            "status"=>$params['status'],
            // "show_month_commission"=>$params['show_month_commission'],
            "rule"=>iserializer($params['rule']),
        );
        
    	if(!empty($config)){
          	$res = Db::name("bbfx_directpush_team")->where(["id"=>$config['id']])->update($data);;
        }
      	else{
        	$res = Db::name("bbfx_directpush_team")->insert($data);
        }
        
        
        if($res){
            \app\admin\model\AdminLog::record("","",$data,"bbfx_directpush_team");
            __success("编辑成功",$data);
        }
      	else{
      	    __success("操作成功",$data);
      	}
    }
}